%{?nodejs_find_provides_and_requires}

Name:       nodejs-which
Version:    1.2.8
Release:    %mkrel 1
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-which
Source0:    http://registry.npmjs.org/which/-/which-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(is-absolute)
BuildRequires:  npm(isexe)

%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep is-absolute "^0.2.3"
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/which
cp -pr bin which.js package.json %{buildroot}%{nodejs_sitelib}/which

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/which/bin/which %{buildroot}%{_bindir}/which-nodejs

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/which
%{_bindir}/which-nodejs
%doc README.md LICENSE



%changelog
* Fri May 13 2016 joequant <joequant> 1.2.8-1.mga6
+ Revision: 1014776
- upgrade to 1.2.8

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-11.mga6
+ Revision: 950283
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.5-10.mga5
+ Revision: 793679
- imported package nodejs-which

